# ****************************************************************************
# TEBF0808-03 - TE0808-03 USoM+ - Imageon IIC
# ****************************************************************************
set_property PACKAGE_PIN AK4 [get_ports im_i2c_scl_io]
set_property PACKAGE_PIN AK3 [get_ports im_i2c_sda_io]

set_property IOSTANDARD LVCMOS18 [get_ports im_i2c_*]
set_property SLEW SLOW [get_ports im_i2c_*]
set_property DRIVE 8 [get_ports im_i2c_*]

set_property PACKAGE_PIN AJ7 [get_ports {im_resetn[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {im_resetn[0]}]
set_property SLEW SLOW [get_ports {im_resetn[0]}]
set_property DRIVE 8 [get_ports {im_resetn[0]}]

# ****************************************************************************
# TEBF0808-03 - TE0808-03 USoM+ - Imageon HDMII (ADV7611)
# ****************************************************************************
set_property PACKAGE_PIN AB3  [get_ports {hdmii[0]}]
set_property PACKAGE_PIN AC3  [get_ports {hdmii[1]}]
set_property PACKAGE_PIN AE10 [get_ports {hdmii[2]}]
set_property PACKAGE_PIN AA7  [get_ports {hdmii[3]}]
set_property PACKAGE_PIN AB10 [get_ports {hdmii[4]}]
set_property PACKAGE_PIN AD10 [get_ports {hdmii[5]}]
set_property PACKAGE_PIN AA8  [get_ports {hdmii[6]}]
set_property PACKAGE_PIN AB11 [get_ports {hdmii[7]}]
set_property PACKAGE_PIN AA11 [get_ports {hdmii[8]}]
set_property PACKAGE_PIN AA12 [get_ports {hdmii[9]}]
set_property PACKAGE_PIN AC13 [get_ports {hdmii[10]}]
set_property PACKAGE_PIN AB13 [get_ports {hdmii[11]}]
set_property PACKAGE_PIN AD12 [get_ports {hdmii[12]}]
set_property PACKAGE_PIN AE12 [get_ports {hdmii[13]}]
set_property PACKAGE_PIN AE5  [get_ports {hdmii[14]}]
set_property PACKAGE_PIN AD5  [get_ports {hdmii[15]}]

# set_property PACKAGE_PIN AE4   [get_ports hdmii_spdif]

set_property PACKAGE_PIN E10  [get_ports hdmii_clk]

set_property IOSTANDARD LVCMOS18 [get_ports hdmii*]

create_clock -period 6.666 -name hdmii_clk -waveform {0.000 3.333} -add [get_ports hdmii_clk]

# ****************************************************************************
# TEBF0808-03 - TE0808-03 USoM+ - Imageon HDMIO (ADV7511)
# ****************************************************************************
set_property PACKAGE_PIN AC11 [get_ports {hdmio[0]}]
set_property PACKAGE_PIN AD11 [get_ports {hdmio[1]}]
set_property PACKAGE_PIN AB4  [get_ports {hdmio[2]}]
set_property PACKAGE_PIN AC9  [get_ports {hdmio[3]}]
set_property PACKAGE_PIN AC4  [get_ports {hdmio[4]}]
set_property PACKAGE_PIN AA5  [get_ports {hdmio[5]}]
set_property PACKAGE_PIN AC8  [get_ports {hdmio[6]}]
set_property PACKAGE_PIN AB9  [get_ports {hdmio[7]}]
set_property PACKAGE_PIN AA6  [get_ports {hdmio[8]}]
set_property PACKAGE_PIN AF13 [get_ports {hdmio[9]}]
set_property PACKAGE_PIN AB8  [get_ports {hdmio[10]}]
set_property PACKAGE_PIN AB5  [get_ports {hdmio[11]}]
set_property PACKAGE_PIN AE13 [get_ports {hdmio[12]}]
set_property PACKAGE_PIN AE9  [get_ports {hdmio[13]}]
set_property PACKAGE_PIN AB6  [get_ports {hdmio[14]}]
set_property PACKAGE_PIN AD9  [get_ports {hdmio[15]}]

# set_property PACKAGE_PIN AD4   [get_ports hdmio_spdif]

set_property PACKAGE_PIN D10  [get_ports hdmio_clk]

set_property IOSTANDARD LVCMOS18 [get_ports hdmio*]

create_clock -period 6.666 -name hdmio_clk -waveform {0.000 3.333} -add [get_ports hdmio_clk]

